Package ru.bitel.bgbilling.kernel.script.server.dev

# Class GlobalScriptBase

java.lang.Object
ru.bitel.bgbilling.kernel.script.server.dev.GlobalScriptBase

All Implemented Interfaces:
  `GlobalScript`

    public abstract class GlobalScriptBase
    extends java.lang.Object
    implements GlobalScript

Реализация глобального скрипта.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GlobalScriptBase()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `error​(java.lang.Object message)` |
  `java.io.PrintStream` | `getErrorStream()` |
  `java.io.PrintStream` | `getOutputStream()` |
  `ParameterMap` | `getParams()` | Дополнительные параметры скрипта.
  `protected void` | `print​(java.lang.Object message)` |
  `void` | `setErrorStream​(java.io.PrintStream err)` |
  `void` | `setOutputStream​(java.io.PrintStream out)` |
  `void` | `setParams​(ParameterMap params)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.script.server.dev.GlobalScript

  `execute`

- ## Constructor Details

  - ### GlobalScriptBase

    public GlobalScriptBase()

- ## Method Details

  - ### setOutputStream

    public void setOutputStream​(java.io.PrintStream out)

  - ### getOutputStream

    public java.io.PrintStream getOutputStream()

  - ### setErrorStream

    public void setErrorStream​(java.io.PrintStream err)

  - ### getErrorStream

    public java.io.PrintStream getErrorStream()

  - ### print

    protected void print​(java.lang.Object message)

  - ### error

    protected void error​(java.lang.Object message)

  - ### getParams

    public ParameterMap getParams()
    Дополнительные параметры скрипта. Например, сюда попадают все параметры из конфига задачи выполнения глобальных скриптов по таймеру. При запуске из командной строки класса реализующего интерфейс GlobalScript попадают параметры переданные.

  - ### setParams

    public void setParams​(ParameterMap params)